FROM golang:1.19-alpine AS build

WORKDIR /app

ARG VERSION
ENV VERSION=${VERSION:-dev}
COPY controller ./controller
RUN echo buildling ${VERSION}
RUN cd ./controller && CGO_ENABLED=0 GOOS=linux go build -ldflags "-X main.version=${VERSION}" -o controller

FROM scratch

COPY --from=build /app/controller/controller /controller

ENTRYPOINT [ "/controller" ]